package com.example.android.iap.data;

import android.support.annotation.NonNull;

import org.json.JSONObject;

public class PurchaseItem {
    private final Long mItemSeq;
    private final String mPaymentSeq;
    private final String mPurchaseToken;
    private final String mMarketItemId;
    private final String mCurrency;
    private final Double mPrice;

    public PurchaseItem(@NonNull JSONObject responseJson) {
        mItemSeq = responseJson.optLong("itemSeq");
        mPaymentSeq = responseJson.optString("paymentSeq");
        mPurchaseToken = responseJson.optString("purchaseToken");
        mMarketItemId = responseJson.optString("marketItemId");
        mCurrency = responseJson.optString("currency");
        mPrice = responseJson.optDouble("price");
    }

    @Override
    public String toString() {
        return "ItemSeq : " + mItemSeq + "\nPaymentSeq : " + mPaymentSeq;
    }

    public Long getItemSeq() {
        return mItemSeq;
    }

    public String getPaymentSeq() {
        return mPaymentSeq;
    }

    public String getPurchaseToken() {
        return mPurchaseToken;
    }

    public String getMarketItemId() {
        return mMarketItemId;
    }

    public String getCurreny() {
        return mCurrency;
    }

    public Double getPrice() {
        return mPrice;
    }
}